import { ChatCompletionMessage } from 'openai/resources/index.js';
import { DebugLog } from './DebugLog.js';
import { LlmApi, LlmOptions, ChatLogs, LlmModel } from '../agent-core/index.js';
export declare class DebugLlmApi implements LlmApi {
    debugLog: DebugLog;
    llm: LlmApi;
    constructor(debugLog: DebugLog, llm: LlmApi);
    getMaxContextTokens(): number;
    getMaxResponseTokens(): number;
    getModel(): LlmModel;
    getResponse(chatLogs: ChatLogs, functionDefinitions: any[], options?: LlmOptions | undefined): Promise<ChatCompletionMessage | undefined>;
}
